<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVenuesTables extends Migration
{
    public function up(): void
    {
        Schema::create('venues', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('name')->nullable();
            $table->string('website')->nullable();
            $table->string('star_rating')->nullable();
            $table->boolean('has_green_tourism_accreditation')->default(false)->nullable();
            $table->timestamps();
        });
    }
}
