<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class CheckPermission
{
    /**
     * @return mixed
     */
    public function handle(Request $request, Closure $next, string $permission)
    {
        abort_unless($request->user()->admin->hasPermissionTo($permission), Response::HTTP_UNAUTHORIZED);

        return $next($request);
    }
}
